Subject: Re: Git: Question about specific subtree usage

From: THILLOSEN Andreas <[email-masked]>
Date: Sun, 12 Jan 2014 13:18:16 +0100

Well... submodules didn't seem to fit the job, because it seems that the
sources of only one submodule at a time can be checked out.
And in my case, I would need to have the sources of all submodules
simultaneously.
I was talking about subtrees, because I thought it could be a better
tool for this job (and it had the reputation of being less cumbersome
than submodules).

Maybe such a job cannot be done with pure git commands.
Thanks for pointing me this "git-repo" script tool... the description
seems to fit my needs!
I will test it, and hope it will work on Windows (project is
unfortunately very Windows-oriented, for the time being).

Thanks for you help!

Andreas THILLOSEN.

Le 01/12/14 11:29, Torsten Bögershausen a écrit :
> On 2014-01-12 01.23, THILLOSEN Andreas wrote:
>> Hi,
>>
>> I have a question about a specific use case for subtrees, but I'm not
> I feel a little bit confused: Are you talking about git submodules?
>
> And you may want to have a look at the repo tool:
> https://code.google.com/p/git-repo/
>
> HTH
> /Torsten
>
>
>
>